Subject: bug#34184: Nitpick on reconfigure message: Installing for i386-pc platform.

From: Leo Famulari <[email-masked]>
Date: Wed, 23 Jan 2019 16:40:41 -0500

On Wed, Jan 23, 2019 at 10:12:58PM +0100, swedebugia wrote:
> "Installing for i386-pc platform.
> Installation finished. No error reported."

This message comes from GRUB. Not having read the GRUB docs closely, I
assume it refers to the bootloader style ("PC" vs EFI) rather than the
CPU architecture.

I agree it's a bit misleading, especially to non-technical users. I
wonder how it could be improved, however?

In the long run, I think we should offer a graphical interface to `guix
system`, `guix package`, etc, and in that case non-technical users would
never see this message.